I thought 1.6.7 has a serious bug with class variables?

I've a small project which I want to solve in Ruby (and REXML). The
customer has to install Ruby on his machine. It really sounds a bit
strange when I have to say "Don't install the latest stable, install
1.6.6."